Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.jpa.map
Class JpaManagedClass

    java.lang.Object
      org.apache.cayenne.jpa.map.JpaManagedClass

Direct Known Subclasses:
  JpaAbstractEntity, JpaEmbeddable

    public abstract class JpaManagedClass

extends Object

Field Summary
`protected AccessType` | `access`
`protected JpaAttributes` | `attributes`
`protected JpaClassDescriptor` | `classDescriptor`
`protected String` | `className`
`protected String` | `description`
`protected boolean` | `metadataComplete`

Constructor Summary
`JpaManagedClass()`

Method Summary
`AccessType` | `getAccess()`
`JpaAttributes` | `getAttributes()`
`JpaClassDescriptor` | `getClassDescriptor()`
`String` | `getClassName()`
`String` | `getDescription()`
`boolean` | `isMetadataComplete()`
`void` | `setAccess(AccessType access)`
`void` | `setAttributes(JpaAttributes attributes)`
`void` | `setClassDescriptor(JpaClassDescriptor classDescriptor)`
`void` | `setClassName(String className)`
`void` | `setDescription(String description)`
`void` | `setMetadataComplete(boolean metadataComplete)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classDescriptor

    protected JpaClassDescriptor classDescriptor

### className

    protected String className

### access

    protected AccessType access

### metadataComplete

    protected boolean metadataComplete

### description

    protected String description

### attributes

    protected JpaAttributes attributes

Constructor Detail

### JpaManagedClass

    public JpaManagedClass()

Method Detail

### getClassDescriptor

    public JpaClassDescriptor getClassDescriptor()

### setClassDescriptor

    public void setClassDescriptor(JpaClassDescriptor classDescriptor)

### getAccess

    public AccessType getAccess()

### setAccess

    public void setAccess(AccessType access)

### getClassName

    public String getClassName()

### setClassName

    public void setClassName(String className)

### isMetadataComplete

    public boolean isMetadataComplete()

### setMetadataComplete

    public void setMetadataComplete(boolean metadataComplete)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getAttributes

    public JpaAttributes getAttributes()

### setAttributes

    public void setAttributes(JpaAttributes attributes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.